<template>
  <div
    style="width: 100%;height: 100%;box-sizing: border-box;padding: 20px;"
  >
    <iframe
        height="100%"
        width="100%"
        style="border: none"
        :src="url"
    />
  </div>
</template>

<script setup>
const route = useRoute()

let token = ref(localStorage.getItem('token'));
if(route.query.GuestMode && route.query.GuestMode == 1){
  token.value = localStorage.getItem('youke_token')
}

let lang = ref(localStorage.getItem('locale') || 'zh');
// let url = ref('https://192.168.110.83:3001/#/userMsg?token=' + token.value + '&Lang=' + lang.value);
let url = ref(`${window.global.serviceURL}/#/userMsg?token=` + token.value + '&Lang=' + lang.value);
// let url = ref('http://bot28webkefu.sp2509.cc/#/userMsg?token=' + token.value + '&Lang=' + lang.value);
</script>

<style scoped lang="scss">

</style>
